﻿using System;
using EventStore.ClientAPI;
using EventStore.ClientAPI.SystemData;

namespace EventStoreTest
{
  class Program
  {
    static void Main(string[] args)
    {
      var settings = ConnectionSettings
        .Create()
        .EnableVerboseLogging()
        .UseConsoleLogger()
        .SetDefaultUserCredentials(new UserCredentials("admin", "changeit"));

      var connection = EventStoreConnection.Create(settings, new Uri("tcp://admin:changeit@localhost:1113"));

      connection.ConnectAsync().Wait();

      Console.ReadLine();
    }
  }
}